Kerbal Space Program - Bug #25939

Making History - Meet me in Zero G - mission always fails after undocking with Agena
08/11/2020 11:23 AM - jj

Status: Confirmed Start date: 08/11/2020
Severity: Low % Done: 10%
Assignee: just_jim

Category: Gameplay

Target version:

Version: 1.10.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

What is expected.

You undock from the Agena, it explodes and the mission proceeds. You can see in this video what is expected to happen / how it
used to work at some point: https://youtu.be/-SyilRoV2ms?t=1369

Instead the mission just fails after the Agena is destroyed.
| attached my save file.
To reproduce

1. Load the save file with the rendevouz already set up or play the mission up to this point yourself.
2. Proceed docking with the Agena.

3. Do the EVA.

4. Undock.

5. Agena explodes.

6. Mission failed.

History

#1 - 08/19/2020 02:04 PM - just_jim
- Status changed from New to Confirmed
- Assignee set to just jim

- % Done changed from 0 to 10

#3 - 10/13/2020 03:14 AM - douglyuckling
FYI, this is a duplicate of #25859.

I'd love to see this fixed, by the way. Currently playing through the missions for the first time...or trying to. :(

#4 - 02/15/2021 02:58 AM - drasnor

This bug is also present in version 1.11.1
#5 - 03/26/2021 03:27 PM - Anonymous
Really? This bug was confirmed 7 months ago and it is still present in 1.11.2.

Not being able to complete mission and severity is "low"...

#6 - 03/26/2021 03:49 PM - whyd4k
- File Screenshot 2021-03-26 164348.png added

My guess is mission is failing because of condition that if Atlas Agena is destroyed, mission ends.

Files

Meet Me in Zero G.zip 849 KB 08/11/2020 i
https://youtu.be/-SyilRoV2ms?t=1369
https://bugs.kerbalspaceprogram.com/issues/25859

Screenshot 2021-03-26 164348.png 77.7 KB 03/26/2021 whyd4k
